#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  duktape-2.7.0

- Next

  Exempi-2.6.6

- Up
- Home

# enchant-2.8.16

## Introduction to enchant

The enchant package provides a generic interface into various existing spell checking libraries.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/rrthomas/enchant/releases/download/v2.8.16/enchant-2.8.16.tar.gz

- Download MD5 sum: af5a6f8e0e6379ac7b3dc1c4b02b77bb

- Download size: 1.3 MB

- Estimated disk space required: 70 MB (with tests)

- Estimated build time: 0.2 SBU (add 0.8 SBU for tests)

### enchant Dependencies

#### Required

Aspell-0.60.8.2, GLib-2.88.0, and Vala-0.56.19

#### Optional

dbus-glib-0.114, Doxygen-1.17.0, Hspell, Hunspell, Nuspell, Voikko, and unittest-cpp (required for tests)

## Installation of enchant

Install enchant by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static  \
                --docdir=/usr/share/doc/enchant-2.8.16 &&
    make

To run tests, unittest-cpp must be installed and the `--enable-relocatable` option passed to configure above. If these conditions are present, the tests may be run with make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Configuring enchant

### Config Files

`~/.enchant` and `/usr/share/enchant/enchant.ordering`

### Configuration Information

You can test your installation and configuration by creating a test file and running the following commands (you can replace the en_GB dictionary by any other downloaded when installing Aspell-0.60.8.2):

    cat > /tmp/test-enchant.txt << "EOF"
    Tel me more abot linux
    Ther ar so many commads
    EOF

    enchant-2 -d en_GB -l /tmp/test-enchant.txt &&
    enchant-2 -d en_GB -a /tmp/test-enchant.txt

You will see a list of the misspelled words followed by a list of alternatives for them.

See more details in the enchant manual page.

## Contents

Installed Programs: enchant-2 and enchant-lsmod-2
Installed Libraries: libenchant-2.so
Installed Directories: /usr/include/enchant-2, /usr/lib/enchant-2, /usr/share/enchant, and /usr/share/doc/enchant-2.8.16

### Short Descriptions

enchant-2 | is a spellchecker
enchant-lsmod-2 | lists available backends, languages, and dictionaries
`libenchant-2.so` | contains spell checking interface API functions

- Prev

  duktape-2.7.0

- Next

  Exempi-2.6.6

- Up
- Home